Bug 468432 - You can not turn off login sound.
You can not turn off login sound.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 14:09 EDT by pelle2004
Modified: 2009-12-18 01:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:38:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pelle2004 2008-10-24 14:09:09 EDT
Description of problem:
=======================
It is not possible to disable the sound played at login.
Even if the control indicates disable a sound is still played.
System/Preference/Hardware/Sound -> Sound Preference / Sounds (tab) /
Alerts and Sound Effects / Desctop / Login = Disabled.


Version-Release number of selected component (if applicable):
=============================================================
Fedora 10 snap 2
With latest yum update

How reproducible:
=================
Always
Comment 1 Matthias Clasen 2008-10-24 18:18:43 EDT
Hmm, works here, in quick testing.
Comment 2 pelle2004 2008-10-25 11:53:33 EDT
Run yum update today!
I tested a couple of times today on a desktop and a laptop.
Log-out/Log-in and restart.
I still get a sound played every time I log-in.
Is not a big deal, wait and see if more people encounter
same problem.
Comment 3 pelle2004 2008-11-09 04:30:04 EST
It depends on type of CPU.
I have tested on a 4 core Q9550 and it rarly happens at all on this machine.
On the other 2 it more happens always. These are 2 core T86xx and an old
1 core 2GHz AMD 

On all PC's there is a entry in /var/log/messages after login:

gnome-session[3467]: WARNING: Application 'libcanberra-login-sound.desktop' failed to register before timeout
Comment 4 Matthias Clasen 2008-11-10 14:27:53 EST
To make the warning (and the associated timeout) go away, we need to register as a session client when playing the sound. Doing it from a script is a bit icky, but can be done:


#! /bin/sh

export `dbus-send  \
        --session \
        --dest=org.gnome.SessionManager \
        --type=method_call \
        --print-reply \
        /org/gnome/SessionManager \
        org.gnome.SessionManager.RegisterClient \
        string:'login-sound' \
        string:'' | sed -e '/^method.*$/d' -e 's/object path /OBJECT_PATH=/'`

/usr/bin/canberra-gtk-play --id="desktop-login" --description="GNOME Login"

dbus-send \
        --session \
        --dest=org.gnome.SessionManager \
        --type=method_call \
        /org/gnome/SessionManager \
        org.gnome.SessionManager.UnregisterClient \
        objpath:$OBJECT_PATH
Comment 5 Matthias Clasen 2008-11-11 16:56:21 EST
Jon points out that 

dbus-send  \
        --session \
        --dest=org.gnome.SessionManager \
        --type=method_call \
        /org/gnome/SessionManager \
        org.gnome.SessionManager.RegisterClient \
        string:'login-sound' \
        string:''

is probably enough. No need to store the object path and unregister explicitly
Comment 6 Bug Zapper 2008-11-25 23:12:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-11-18 04:19:34 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:38:37 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.